Package ghidra.app.util.viewer.field

# Class VariableXRefFieldMouseHandler

java.lang.Object
ghidra.app.util.viewer.field.XRefFieldMouseHandler
ghidra.app.util.viewer.field.VariableXRefFieldMouseHandler

All Implemented Interfaces:
  `FieldMouseHandler`, `FieldMouseHandlerExtension`, `ExtensionPoint`

public class VariableXRefFieldMouseHandler extends XRefFieldMouseHandler
A handler to process `VariableXRefFieldLocation` clicks

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableXRefFieldMouseHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Address`
  `getFromReferenceAddress(ProgramLocation programLocation)`
  `Class<?>[]`
  `getSupportedProgramLocations()`
  Returns an array of types that this handler wishes to handle.
  `protected boolean`
  `isXREFHeaderLocation(ProgramLocation location)`
  `protected void`
  `showXRefDialog(Navigatable navigatable, ProgramLocation location, ServiceProvider serviceProvider)`

  ### Methods inherited from class ghidra.app.util.viewer.field.XRefFieldMouseHandler

  `fieldElementClicked`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VariableXRefFieldMouseHandler

    public VariableXRefFieldMouseHandler()

- ## Method Details

  - ### getFromReferenceAddress

    protected Address getFromReferenceAddress(ProgramLocation programLocation)
    Overrides:
      `getFromReferenceAddress` in class `XRefFieldMouseHandler`

  - ### getSupportedProgramLocations

    public Class<?>[] getSupportedProgramLocations()
    Description copied from interface: `FieldMouseHandler`
    Returns an array of types that this handler wishes to handle.
    Specified by:
      `getSupportedProgramLocations` in interface `FieldMouseHandler`
    Overrides:
      `getSupportedProgramLocations` in class `XRefFieldMouseHandler`
    Returns:
      an array of types that this handler wishes to handle.

  - ### isXREFHeaderLocation

    protected boolean isXREFHeaderLocation(ProgramLocation location)
    Overrides:
      `isXREFHeaderLocation` in class `XRefFieldMouseHandler`

  - ### showXRefDialog

    protected void showXRefDialog(Navigatable navigatable, ProgramLocation location, ServiceProvider serviceProvider)
    Overrides:
      `showXRefDialog` in class `XRefFieldMouseHandler`